org.apache.mina.filter.codec.textline

## Class TextLineEncoder

- java.lang.Object
- - org.apache.mina.filter.codec.ProtocolEncoderAdapter
  - - org.apache.mina.filter.codec.textline.TextLineEncoder

- All Implemented Interfaces:
    ProtocolEncoder

      public class TextLineEncoder
      extends ProtocolEncoderAdapter

  A `ProtocolEncoder` which encodes a string into a text line which ends with the delimiter.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextLineEncoder()` Creates a new instance with the current default `Charset` and `LineDelimiter.UNIX` delimiter.
    `TextLineEncoder(Charset charset)` Creates a new instance with the spcified `charset` and `LineDelimiter.UNIX` delimiter.
    `TextLineEncoder(Charset charset, LineDelimiter delimiter)` Creates a new instance with the spcified `charset` and the specified `delimiter`.
    `TextLineEncoder(Charset charset, String delimiter)` Creates a new instance with the spcified `charset` and the specified `delimiter`.
    `TextLineEncoder(LineDelimiter delimiter)` Creates a new instance with the current default `Charset` and the specified `delimiter`.
    `TextLineEncoder(String delimiter)` Creates a new instance with the current default `Charset` and the specified `delimiter`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `void` | `encode(IoSession session, Object message, ProtocolEncoderOutput out)` Encodes higher-level message objects into binary or protocol-specific data.
    `int` | `getMaxLineLength()` Returns the allowed maximum size of the encoded line.
    `void` | `setMaxLineLength(int maxLineLength)` Sets the allowed maximum size of the encoded line.

    - ### Methods inherited from class org.apache.mina.filter.codec.ProtocolEncoderAdapter

      `dispose`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextLineEncoder

          public TextLineEncoder()

      Creates a new instance with the current default `Charset` and `LineDelimiter.UNIX` delimiter.

    - #### TextLineEncoder

          public TextLineEncoder(String delimiter)

      Creates a new instance with the current default `Charset` and the specified `delimiter`.

    - #### TextLineEncoder

          public TextLineEncoder(LineDelimiter delimiter)

      Creates a new instance with the current default `Charset` and the specified `delimiter`.

    - #### TextLineEncoder

          public TextLineEncoder(Charset charset)

      Creates a new instance with the spcified `charset` and `LineDelimiter.UNIX` delimiter.

    - #### TextLineEncoder

          public TextLineEncoder(Charset charset,
                         String delimiter)

      Creates a new instance with the spcified `charset` and the specified `delimiter`.

    - #### TextLineEncoder

          public TextLineEncoder(Charset charset,
                         LineDelimiter delimiter)

      Creates a new instance with the spcified `charset` and the specified `delimiter`.

  - ### Method Detail

    - #### getMaxLineLength

          public int getMaxLineLength()

      Returns the allowed maximum size of the encoded line. If the size of the encoded line exceeds this value, the encoder will throw a `IllegalArgumentException`. The default value is `Integer.MAX_VALUE`.

    - #### setMaxLineLength

          public void setMaxLineLength(int maxLineLength)

      Sets the allowed maximum size of the encoded line. If the size of the encoded line exceeds this value, the encoder will throw a `IllegalArgumentException`. The default value is `Integer.MAX_VALUE`.

    - #### encode

          public void encode(IoSession session,
                    Object message,
                    ProtocolEncoderOutput out)
                      throws Exception

      Description copied from interface: `ProtocolEncoder`
      Encodes higher-level message objects into binary or protocol-specific data. MINA invokes `ProtocolEncoder.encode(IoSession, Object, ProtocolEncoderOutput)` method with message which is popped from the session write queue, and then the encoder implementation puts encoded messages (typically `IoBuffer`s) into `ProtocolEncoderOutput`.
      Throws:
        `Exception` - if the message violated protocol specification

    - #### dispose

          public void dispose()
                       throws Exception

      Throws:
        `Exception`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.